# This Spec file was Created by Marco Meijer <korrel@mandrakeclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name    ftd
%define version 0.10
%define release 2d.2006mcnl
%define summary A dutch binary newsgroup post announce program.
%define section Internet/News
%define mozilla mozilla-firefox-1.0.6

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://www.ftd4linux.nl
License:        BSD
Group:          Networking/Other
Packager:       Marco Meijer <korrel@mandrakeclub.nl>

Source0:        %{name}-%{version}d.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 
BuildRequires:  glibc-devel >= 2.2.0 libgtk+2.0_0-devel >= 2.2.0 libxml2 >= 2.2.5 libxslt1-devel >= 1.0.5 mozilla-firefox = 1.0.6 libopenssl0.9.7-devel libcurl3-devel >= 7.10.6 mozilla-firefox-devel

%description
The program FTD is used by many people to tell what they will post and is therefore a beautiful way to see what is posted in the binary newsgroups.
FTD4Linux is the Open Source equivalent.

%description -l nl
Het programma FTD wordt gebruikt door veel mensen om te vertellen wat ze gaan posten en is dus een mooie manier om te zien wat er allemaal in de binaries nieuwsgroepen gepost wordt.
FTD4Linux is hiervan de Open Source variant.

%prep
rm -rf %{buildroot}

%setup -q -n %{name}-%{version}d

%build
%configure --with-mozilla_headers=/usr/include/%{mozilla}/gtkembedmoz \
			    --with-mozilla_libraries=/usr/lib/%{mozilla}

%make 

%install

%__mkdir_p %{buildroot}/%{_bindir}
%__mkdir_p %{buildroot}%{_datadir}/ftd

mv gui/src/ftd4linux_gui %{buildroot}/%{_bindir}
mv console/src/ftd4linux_console %{buildroot}/%{_bindir}
mv ftd_http_plugin.so.0.0 %{buildroot}%{_datadir}/ftd/
mv ftd_core/data/* %{buildroot}%{_datadir}/ftd/

#icons
%define  nameicon gui/include/images/icon.xpm
mkdir -p -m755 %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}
convert -scale 48x48 %{nameicon} %{buildroot}/%{_liconsdir}/%{name}.png
convert -scale 32x32 %{nameicon} %{buildroot}/%{_iconsdir}/%{name}.png
convert -scale 16x16 %{nameicon} %{buildroot}/%{_miconsdir}/%{name}.png

# Menu
# Every entry must be changed according package specfications
# Pay attention to "section" "command" and "longtitle"
# Use the macros at the head of this file to change the values.
mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name << EOF
?package(%name): \
command="ftd4linux_gui" \
needs="X11" \
icon="%name.png" \
section="%section" \
title="Ftd-linux" \
longtitle="%summary"
EOF





%clean 
rm -rf %{buildroot}

%post
%update_menus

LDSOCONF_LINE="/usr/lib/%{mozilla}"; \
		LDSOCONF_FILE="/etc/ld.so.conf"; \
		if [ "`grep \"$LDSOCONF_LINE\" \"$LDSOCONF_FILE\" -m 1 -h`" != "$LDSOCONF_LINE" ]; then \
			LDSOCONF_TMP=`cat "$LDSOCONF_FILE"`; \
			echo "$LDSOCONF_LINE" > $LDSOCONF_FILE; \
			echo "$LDSOCONF_TMP" >> $LDSOCONF_FILE; \
		fi \

ldconfig

%postun
%clean_menus


%files 
%defattr(-,root,root,0755) 
%doc README TODO COPYING AUTHORS ChangeLog

%{_bindir}/%{name}4linux_gui
%{_bindir}/%{name}4linux_console 

%{_datadir}/%{name}

%{_menudir}/%{name}
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog

* Tue Dec 27 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.10d.2-1.2006mcnl
  new version

* Tue Sep 13 2005 Marco Meijer <korrel@mandrakeclub.nl> 0.10.2-1.102mcnl
  new spec file


